[Pkg-dkms-commits] [SCM] Maintenance of the dkms package branch, master, updated. upstream/2.0.20.4-10-gc71d4fa

Giuseppe Iuculano giuseppe at iuculano.it
Wed Dec 24 17:29:41 UTC 2008


The following commit has been merged in the master branch:
commit c71d4fae8ff808399fc67321403617cbb1169237
Author: Giuseppe Iuculano <giuseppe at iuculano.it>
Date:   Wed Dec 24 18:27:08 2008 +0100

    debian/patches/07-exit-if-build-fails.patch: Fix exit when build fails
    
    Original code check only if the rm -rf was successful, the preceding
    build steps need to be checked.

diff --git a/debian/patches/07-exit-if-build-fails.patch b/debian/patches/07-exit-if-build-fails.patch
new file mode 100644
index 0000000..f10b0a9
--- /dev/null
+++ b/debian/patches/07-exit-if-build-fails.patch
@@ -0,0 +1,46 @@
+Fix exit when build fails
+--- a/dkms
++++ b/dkms
+@@ -3128,10 +3128,27 @@
+     case "$create_type" in
+         dsc)
+             invoke_command "dpkg-buildpackage -S -us -uc 1>/dev/null" "Building source package"
++	    if [ "$?" -eq 0 ]; then
++		    echo $""
++		    echo $"DKMS: mk${create_type} Completed."
++	    else
++		    echo $"" >&2
++		    echo $"Error! There was a problem creating your ${create_type}." >&2
++		    exit 7
++	    fi
+             invoke_command "mv '$temp_dir/${debian_package}-dkms_${module_version}.dsc' '$temp_dir/${debian_package}-dkms_${module_version}.tar.gz' '$deb_basedir'" "Moving built files to $deb_basedir"
+             ;;
+         deb)
+             invoke_command "dpkg-buildpackage -rfakeroot -b -us -uc 1>/dev/null" "Building binary package"
++            if [ "$?" -eq 0 ]; then
++		    echo $""
++		    echo $"DKMS: mk${create_type} Completed."
++	    else
++		    echo $"" >&2
++		    echo $"Error! There was a problem creating your ${create_type}." >&2
++		    exit 7
++	    fi
++
+             invoke_command "mv '$temp_dir/${debian_package}-dkms_${module_version}_all.deb' '$deb_basedir'" "Moving built files to $deb_basedir"
+             ;;
+     esac
+@@ -3140,12 +3157,9 @@
+     invoke_command "rm $temp_dir -fr" "Cleaning up temporary files"
+ 
+     #done
+-    if [ "$?" -eq 0 ]; then
+-        echo $""
+-        echo $"DKMS: mk${create_type} Completed."
+-    else
++    if [ "$?" -ne 0 ]; then
+         echo $"" >&2
+-        echo $"Error! There was a problem creating your ${create_type}." >&2
++	echo $"Error! There was a problem cleaning up temporary files." >&2
+         exit 7
+     fi
+ }
diff --git a/debian/patches/series b/debian/patches/series
index b0534ca..df33b96 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -4,3 +4,4 @@
 04-use_su-to-root.patch
 05-do_not_check_admin_group.patch
 06-fakeroot.patch
+07-exit-if-build-fails.patch

-- 
Maintenance of the dkms package



More information about the Pkg-dkms-commits mailing list